package com.inspect.metadata.montdata.service;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevStaData;

import java.util.List;

public interface IBasedataMontPatDevStaDataService {
    BasedataMontPatDevStaData selectBasedataMontPatDevStaDataByMontPatDevStaDataId(Long dataId);

    List<BasedataMontPatDevStaData> selectBasedataMontPatDevStaDataList(BasedataMontPatDevStaData staData);

    int insertBasedataMontPatDevStaData(BasedataMontPatDevStaData staData);

    int updateBasedataMontPatDevStaData(BasedataMontPatDevStaData staData);

    int deleteBasedataMontPatDevStaDataByMontPatDevStaDataIds(Long[] dataIds);

    int deleteBasedataMontPatDevStaDataByMontPatDevStaDataId(Long dataId);
}
